import { requestClient } from '#/api/request';

async function queryPage(param) {
  return requestClient.post('/auth/RunningConfig/queryPage', param);
}

async function queryList(param) {
  return requestClient.post('/auth/RunningConfig/queryList', param);
}

async function create(param) {
  return requestClient.post('/auth/RunningConfig/addOne', param);
}

async function removeByUid(param) {
  return requestClient.post('/auth/RunningConfig/removeByUid/'+param.uuid, param);
}

async function updateByUid(param) {
  return requestClient.post('/auth/RunningConfig/updateByUid', param);
}

async function getById(param) {
  return requestClient.post('/auth/RunningConfig/getById', param);
}

async function getByUuid(param) {
  return requestClient.post('/auth/RunningConfig/getByUuid', param);
}

export const rRunningConfig = {
  queryPage,
  queryList,
  create,
  removeByUid,
  updateByUid,
  getById,
  getByUuid,
}